#include "LovinsWordTokenizer.h"

extern "C" {
#include "LovinsStem/stem.h"
}

bool LovinsWordTokenizer::getNextTerm(tTerm& term)
{
	if (!m_tokenizer->getNextTerm(term))
		return false;

	// operate porter steming
	char *w = new char[term.length() + 2];

	strcpy(w+1, term.c_str());w[0] = term.length();
	stem((unsigned char*)w);
	w[w[0]+1] = '\0';

	// return the stemming result wraped in a tTerm object
	term = (w+1);
	delete w;
	return true;
};