#include "PorterWordTokenizer.h"

namespace porterStem {
	#include "PorterStem/porterStem.inl"
}


bool PorterWordTokenizer::getNextTerm(tTerm& term)
{
	if (!m_tokenizer->getNextTerm(term))
		return false;

	// operate porter steming
	char *w = new char[term.length() + 1];
	strcpy(w, term.c_str());
	w[porterStem::stem(w, 0, strlen(w)-1) + 1] = 0;
	// return the stemming result wraped in a tTerm object
	term = w;
	delete w;
	return true;
};