// PorterWordTokenizer.h: interface for the WordTokenizer class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _PORTER_WORD_TOKENIZER_H_ 
#define _PORTER_WORD_TOKENIZER_H_ 

#include "WordTokenizer.h"

class PorterWordTokenizer : public ChainedTokenizer
{
public:
	// constructor
	PorterWordTokenizer(Tokenizer* t) : ChainedTokenizer(t) {};

	virtual bool getNextTerm(tTerm& term);
};

#endif // _PORTER_WORD_TOKENIZER_H_ 
