// WordTokenizer.h: interface for the WordTokenizer class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _WORD_TOKENIZER_H_ 
#define _WORD_TOKENIZER_H_ 

#include "Tokenizer.h"

class WordTokenizer : public Tokenizer
{
public:
	/**
	 * Return the next token from the input.
	 * The input is a string and a token is a word
	 */
	virtual bool getNextTerm(tTerm& term);
};

#endif // _WORD_TOKENIZER_H_ 
